--  退款配置添加  --
ALTER TABLE kylin_performance_status ADD is_refund_poundage tinyint DEFAULT 0 COMMENT '是否有手续费';
ALTER TABLE kylin_performance_status ADD is_refund_voucher tinyint DEFAULT 0 COMMENT '是否退优惠券';
ALTER TABLE kylin_performance_status ADD is_refund_express tinyint DEFAULT 0 COMMENT '是否快递费';

-- 订单相关券逻辑添加 --
drop TABLE if exists `kylin_order_coupons`;
CREATE TABLE `kylin_order_coupons`
(
    `mid`                  int              NOT NULL AUTO_INCREMENT,
    `order_voucher_id`     varchar(255)     NOT NULL DEFAULT '' COMMENT 'order_voucher_id',
    `order_id`             varchar(255)     NOT NULL DEFAULT '' COMMENT '订单id',
    `coupon_code`         varchar(255)     NOT NULL DEFAULT '' COMMENT '券code',
    `coupon_type`         tinyint          NOT NULL DEFAULT '' COMMENT '券类别',
    `coupon_price`        decimal(8, 2)    NOT NULL DEFAULT 0.0 COMMENT '券的优惠金额',
    `coupon_status`        tinyint    NOT NULL DEFAULT 0.0 COMMENT '券状态 1可以 2已退 3不可退',
    `comment`               varchar(200)   NOT NULL DEFAULT '' COMMENT '备用',
    `created_at`           datetime(3)  NULL     DEFAULT NULL COMMENT '创建时间',
    `updated_at`           datetime(3)  NULL     DEFAULT NULL COMMENT '修改时间',
    KEY `kylin_order_coupons_order_voucher_id_index` (`order_voucher_id`),
    KEY `kylin_order_coupons_order_id_index` (`order_id`),
    KEY `kylin_order_coupons_voucher_type_index` (`voucher_type`),
    PRIMARY KEY (`mid`)
) ENGINE = InnoDB
  DEFAULT CHARSET utf8mb4
  COLLATE utf8mb4_unicode_ci COMMENT '订单券 关联表';